package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.ElasticIpServicesMapper;
import com.zyc.system.domain.ElasticIpServices;
import com.zyc.system.service.IElasticIpServicesService;

/**
 * 弹性IP服务Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class ElasticIpServicesServiceImpl implements IElasticIpServicesService 
{
    @Autowired
    private ElasticIpServicesMapper elasticIpServicesMapper;

    /**
     * 查询弹性IP服务
     * 
     * @param id 弹性IP服务主键
     * @return 弹性IP服务
     */
    @Override
    public ElasticIpServices selectElasticIpServicesById(Integer id)
    {
        return elasticIpServicesMapper.selectElasticIpServicesById(id);
    }

    /**
     * 查询弹性IP服务列表
     * 
     * @param elasticIpServices 弹性IP服务
     * @return 弹性IP服务
     */
    @Override
    public List<ElasticIpServices> selectElasticIpServicesList(ElasticIpServices elasticIpServices)
    {
        return elasticIpServicesMapper.selectElasticIpServicesList(elasticIpServices);
    }

    /**
     * 新增弹性IP服务
     * 
     * @param elasticIpServices 弹性IP服务
     * @return 结果
     */
    @Override
    public int insertElasticIpServices(ElasticIpServices elasticIpServices)
    {
        return elasticIpServicesMapper.insertElasticIpServices(elasticIpServices);
    }

    /**
     * 修改弹性IP服务
     * 
     * @param elasticIpServices 弹性IP服务
     * @return 结果
     */
    @Override
    public int updateElasticIpServices(ElasticIpServices elasticIpServices)
    {
        return elasticIpServicesMapper.updateElasticIpServices(elasticIpServices);
    }

    /**
     * 批量删除弹性IP服务
     * 
     * @param ids 需要删除的弹性IP服务主键
     * @return 结果
     */
    @Override
    public int deleteElasticIpServicesByIds(Integer[] ids)
    {
        return elasticIpServicesMapper.deleteElasticIpServicesByIds(ids);
    }

    /**
     * 删除弹性IP服务信息
     * 
     * @param id 弹性IP服务主键
     * @return 结果
     */
    @Override
    public int deleteElasticIpServicesById(Integer id)
    {
        return elasticIpServicesMapper.deleteElasticIpServicesById(id);
    }
}
